package request

type ReportPdfAddReq struct {
	PdfUrl           string `description:"pdf文件URL"`
	PdfName          string `description:"pdf文件名称"`
	Title            string `description:"标题"`
	Author           string `description:"作者"`
	Abstract         string `description:"摘要"`
	ClassifyIdFirst  int    `description:"一级分类id"`
	ClassifyIdSecond int    `description:"二级分类id"`
	ClassifyIdThird  int    `description:"三级分类id"`
}

type ReportPdfEditReq struct {
	ReportPdfId      int    `description:"id"`
	PdfName          string `description:"pdf文件名称"`
	PdfUrl           string `description:"pdf文件URL"`
	Title            string `description:"标题"`
	Author           string `description:"作者"`
	Abstract         string `description:"摘要"`
	ClassifyIdFirst  int    `description:"一级分类id"`
	ClassifyIdSecond int    `description:"二级分类id"`
}
